Package org.eclipse.graphiti.services

# Interface IGaCreateService

All Known Subinterfaces:
  `ICreateService`, `IGaService`

All Known Implementing Classes:
  `CreateServiceImpl`, `GaServiceImpl`

public interface IGaCreateService
The interface IGaCreateService provides services for the creation of all available graphics algorithm's. E.g. Polygon, Rectangle, Text, ...

## Method Summary

Modifier and Type
Method
Description
`MultiText`
`createDefaultMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer)`
Creates a `MultiText` graphics algorithm with the default font (Arial, size 8).
`MultiText`
`createDefaultMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value)`
Creates a `MultiText` graphics algorithm with the default font (Arial, size 8) and the given text.
`Text`
`createDefaultText(Diagram diagram, GraphicsAlgorithmContainer gaContainer)`
Creates a `Text` graphics algorithm with the default font (Arial, size 8).
`Text`
`createDefaultText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value)`
Creates a `Text` graphics algorithm with the default font (Arial, size 8) and the given text.
`Ellipse`
`createEllipse(GraphicsAlgorithmContainer gaContainer)`
Creates an `Ellipse` graphics algorithm.
`Image`
`createImage(GraphicsAlgorithmContainer gaContainer, String imageId)`
Creates a `Image` graphics algorithm with the given image id.
`Rectangle`
`createInvisibleRectangle(PictogramElement pe)`
Create an invisible `Rectangle`.
`MultiText`
`createMultiText(GraphicsAlgorithmContainer gaContainer)`
Creates a `MultiText` graphics algorithm.
`MultiText`
`createMultiText(GraphicsAlgorithmContainer gaContainer, String value)`
Creates a `MultiText` graphics algorithm with the given text.
`MultiText`
`createMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize)`
Creates a `MultiText` graphics algorithm with the given text and font.
`MultiText`
`createMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize, boolean isFontItalic, boolean isFontBold)`
Creates a `MultiText` graphics algorithm with the given text and font.
`Ellipse`
`createPlainEllipse(GraphicsAlgorithmContainer gaContainer)`
Creates a plain `Ellipse` graphics algorithm.
`Image`
`createPlainImage(GraphicsAlgorithmContainer gaContainer, String imageId)`
Creates a plain `Image` graphics algorithm with the given image id.
`MultiText`
`createPlainMultiText(GraphicsAlgorithmContainer gaContainer)`
Creates a plain `MultiText` graphics algorithm.
`MultiText`
`createPlainMultiText(GraphicsAlgorithmContainer gaContainer, String value)`
Creates a plain `MultiText` graphics algorithm with the given text.
`PlatformGraphicsAlgorithm`
`createPlainPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer, String id)`
Creates the plain `PlatformGraphicsAlgorithm`.
`Polygon`
`createPlainPolygon(GraphicsAlgorithmContainer gaContainer)`
Creates a plain `Polygon` graphics algorithm.
`Polygon`
`createPlainPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy)`
Creates a plain `Polygon` graphics algorithm with the given points.
`Polygon`
`createPlainPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)`
Creates a plain `Polygon` graphics algorithm with the given points.
`Polygon`
`createPlainPolygon(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)`
Creates a plain `Polygon` graphics algorithm with the given points.
`Polyline`
`createPlainPolyline(GraphicsAlgorithmContainer gaContainer)`
Creates a plain `Polyline` graphics algorithm.
`Polyline`
`createPlainPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy)`
Creates a plain polyline graphics algorithm with the given points.
`Polyline`
`createPlainPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)`
Creates a plain `Polyline` graphics algorithm with the given points.
`Polyline`
`createPlainPolyline(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)`
Creates a plain `Polyline` graphics algorithm with the given points.
`Rectangle`
`createPlainRectangle(GraphicsAlgorithmContainer gaContainer)`
Creates a plain `Rectangle` graphics algorithm.
`RoundedRectangle`
`createPlainRoundedRectangle(GraphicsAlgorithmContainer gaContainer, int cornerWidth, int cornerHeight)`
Creates a plain `RoundedRectangle` graphics algorithm with the given corner dimensions.
`Style`
`createPlainStyle(StyleContainer styleContainer, String id)`
Creates a `Style` with the given id.
`Text`
`createPlainText(GraphicsAlgorithmContainer gaContainer)`
Creates a plain `Text` graphics algorithm with empty text.
`Text`
`createPlainText(GraphicsAlgorithmContainer gaContainer, String value)`
Creates a plain `Text` graphics algorithm with the given text.
`PlatformGraphicsAlgorithm`
`createPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer, String id)`
Creates the `PlatformGraphicsAlgorithm`.
`Point`
`createPoint(int x, int y)`
Creates a `Point` datatype for the given x/y coordinates.
`Point`
`createPoint(int x, int y, int before, int after)`
Creates a `Point` datatype for the given x/y coordinates.
`List<Point>`
`createPointList(int[] xy)`
Creates a list of `Point` datatypes for the given x/y coordinates.
`List<Point>`
`createPointList(int[] xy, int[] beforeAfter)`
Creates a list of `Point` datatypes for the given x/y coordinates.
`Polygon`
`createPolygon(GraphicsAlgorithmContainer gaContainer)`
Creates a `Polygon` graphics algorithm.
`Polygon`
`createPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy)`
Creates a `Polygon` graphics algorithm with the given points.
`Polygon`
`createPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)`
Creates a `Polygon` graphics algorithm with the given points.
`Polygon`
`createPolygon(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)`
Creates a `Polygon` graphics algorithm with the given points.
`Polyline`
`createPolyline(GraphicsAlgorithmContainer gaContainer)`
Creates a `Polyline` graphics algorithm.
`Polyline`
`createPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy)`
Creates a `Polyline` graphics algorithm with the given points.
`Polyline`
`createPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)`
Creates a `Polyline` graphics algorithm with the given points.
`Polyline`
`createPolyline(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)`
Creates a `Polyline` graphics algorithm with the given points.
`Rectangle`
`createRectangle(GraphicsAlgorithmContainer gaContainer)`
Creates a `Rectangle` graphics algorithm.
`RoundedRectangle`
`createRoundedRectangle(GraphicsAlgorithmContainer gaContainer, int cornerWidth, int cornerHeight)`
Creates a `RoundedRectangle` graphics algorithm with the given corner dimensions.
`Color`
`createShiftedColor(Color color, int shift, Diagram diagram)`
Shifts the `Color` darker or lighter.
`IColorConstant`
`createShiftedColor(IColorConstant colorConstant, int shift)`
Shifts the `Color` constant darker or lighter.
`Style`
`createStyle(StyleContainer styleContainer, String id)`
Creates a `Style` with the given id.
`Text`
`createText(GraphicsAlgorithmContainer gaContainer)`
Creates a `Text` graphics algorithm with empty text.
`Text`
`createText(GraphicsAlgorithmContainer gaContainer, String value)`
Creates a `Text` graphics algorithm with the given text.
`Text`
`createText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize)`
Creates a `Text` graphics algorithm with the given text and font.
`Text`
`createText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize, boolean isFontItalic, boolean isFontBold)`
Creates a `Text` graphics algorithm with the given text and font.
`TextStyle`
`createTextStyle(TextStyleRegion region)`
Creates a `TextStyle`.
`TextStyle`
`createTextStyle(TextStyleRegion region, boolean underline, boolean strikeout, UnderlineStyle underlineStyle)`
Creates a `TextStyle` with the given values.
`TextStyleRegion`
`createTextStyleRegion(AbstractText abstractText)`
Creates a `TextStyleRegion`.
`TextStyleRegion`
`createTextStyleRegion(AbstractText abstractText, int start, int end)`
Creates a `TextStyleRegion` with the given bounds.

## Method Details

### createDefaultMultiText

MultiText createDefaultMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer)
Creates a `MultiText` graphics algorithm with the default font (Arial, size 8). Use this method only if you want to use the default text, otherwise use `createMultiText(GraphicsAlgorithmContainer)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value:""
name: Arial
size: 8
italic: false
bold: false

Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new multiline text

### createDefaultMultiText

MultiText createDefaultMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value)
Creates a `MultiText` graphics algorithm with the default font (Arial, size 8) and the given text. Use this method only if you want to use the default text, otherwise use `createMultiText(GraphicsAlgorithmContainer, String)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: Arial
size: 8
italic: false
bold: false

Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new multiline text

### createDefaultText

Text createDefaultText(Diagram diagram, GraphicsAlgorithmContainer gaContainer)
Creates a `Text` graphics algorithm with the default font (Arial, size 8). Use this method only if you want to use the default text, otherwise use `createText(GraphicsAlgorithmContainer)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value:""
name: Arial
size: 8
italic: false
bold: false

Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new text

### createDefaultText

Text createDefaultText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value)
Creates a `Text` graphics algorithm with the default font (Arial, size 8) and the given text. Use this method only if you want to use the default text, otherwise use `createText(GraphicsAlgorithmContainer, String)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: Arial
size: 8
italic: false
bold: false

Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new text

### createMultiText

MultiText createMultiText(GraphicsAlgorithmContainer gaContainer)
Creates a `MultiText` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: ""

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new multiline text

### createPlainMultiText

MultiText createPlainMultiText(GraphicsAlgorithmContainer gaContainer)
Creates a plain `MultiText` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new multiline text
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createMultiText

MultiText createMultiText(GraphicsAlgorithmContainer gaContainer, String value)
Creates a `MultiText` graphics algorithm with the given text.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new multiline text

### createPlainMultiText

MultiText createPlainMultiText(GraphicsAlgorithmContainer gaContainer, String value)
Creates a plain `MultiText` graphics algorithm with the given text. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new multiline text
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createMultiText

MultiText createMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize)
Creates a `MultiText` graphics algorithm with the given text and font. The font will be displayed in straight (no italics or bold) and will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: false
bold: false

Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
Returns:
  the new multiline text
Since:
  0.9

### createMultiText

MultiText createMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize, boolean isFontItalic, boolean isFontBold)
Creates a `MultiText` graphics algorithm with the given text and font. The font will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: isFontItalic
bold: isFontBold

Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
  `isFontItalic` - flag if the font to use for the new text field should be italic or not
  `isFontBold` - flag if the font to use for the new text field should be bold or not
Returns:
  the new multiline text
Since:
  0.9

### createText

Text createText(GraphicsAlgorithmContainer gaContainer)
Creates a `Text` graphics algorithm with empty text.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: ""

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new text

### createPlainText

Text createPlainText(GraphicsAlgorithmContainer gaContainer)
Creates a plain `Text` graphics algorithm with empty text. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new text
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createText

Text createText(GraphicsAlgorithmContainer gaContainer, String value)
Creates a `Text` graphics algorithm with the given text.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new text

### createPlainText

Text createPlainText(GraphicsAlgorithmContainer gaContainer, String value)
Creates a plain `Text` graphics algorithm with the given text. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new text
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createText

Text createText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize)
Creates a `Text` graphics algorithm with the given text and font. The font will be displayed in straight (no italics or bold) and will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: false
bold: false

Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
Returns:
  the new text
Since:
  0.9

### createText

Text createText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, String value, String fontName, int fontSize, boolean isFontItalic, boolean isFontBold)
Creates a `Text` graphics algorithm with the given text and font. The font will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: isFontItalic
bold: isFontBold

Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
  `isFontItalic` - flag if the font to use for the new text field should be italic or not
  `isFontBold` - flag if the font to use for the new text field should be bold or not
Returns:
  the new text
Since:
  0.9

### createEllipse

Ellipse createEllipse(GraphicsAlgorithmContainer gaContainer)
Creates an `Ellipse` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new ellipse

### createPlainEllipse

Ellipse createPlainEllipse(GraphicsAlgorithmContainer gaContainer)
Creates a plain `Ellipse` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new ellipse
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createImage

Image createImage(GraphicsAlgorithmContainer gaContainer, String imageId)
Creates a `Image` graphics algorithm with the given image id.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
id: TEST
stretchH: false
stretchV: false
proportional: false

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `imageId` - the image id
Returns:
  the new image

### createPlainImage

Image createPlainImage(GraphicsAlgorithmContainer gaContainer, String imageId)
Creates a plain `Image` graphics algorithm with the given image id. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `imageId` - the image id
Returns:
  the new image
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createInvisibleRectangle

Rectangle createInvisibleRectangle(PictogramElement pe)
Create an invisible `Rectangle`.

The following values are set by default when it is shown:

lineWidth: 1
lineStyle: SOLID
filled: false
lineVisible: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `pe` - the pictogram element to create the rectangle
Returns:
  the rectangle

### createPlatformGraphicsAlgorithm

PlatformGraphicsAlgorithm createPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer, String id)
Creates the `PlatformGraphicsAlgorithm`.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
id: id

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `id` - the id
Returns:
  the platform graphics algorithm

### createPlainPlatformGraphicsAlgorithm

PlatformGraphicsAlgorithm createPlainPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer, String id)
Creates the plain `PlatformGraphicsAlgorithm`. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `id` - the id
Returns:
  the platform graphics algorithm
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPoint

Point createPoint(int x, int y)
Creates a `Point` datatype for the given x/y coordinates.

Parameters:
  `x` - the x coordinate
  `y` - the y coordinate
Returns:
  the new point

### createPoint

Point createPoint(int x, int y, int before, int after)
Creates a `Point` datatype for the given x/y coordinates. The additional before/after parameters defined at which distance before/after the point a rounded curve will start/end. Note, that before/after parameters have only an effect, if the graphics algorithm support them, e.g. polygon and polyline.

Parameters:
  `x` - the x coordinate
  `y` - the y coordinate
  `before` - the distance before, if supported
  `after` - the distance after, if supported
Returns:
  the new point

### createPointList

List<Point> createPointList(int[] xy)
Creates a list of `Point` datatypes for the given x/y coordinates.

Parameters:
  `xy` - The x/y coordinates: [x0, y0, ...,xN, yN]
Returns:
  the point list

### createPointList

List<Point> createPointList(int[] xy, int[] beforeAfter)
Creates a list of `Point` datatypes for the given x/y coordinates. Note, that before/after parameters have only an effect, if the graphics algorithm support them, e.g. polygon and polyline.

Parameters:
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the point list

### createPolygon

Polygon createPolygon(GraphicsAlgorithmContainer gaContainer)
Creates a `Polygon` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polygon

### createPlainPolygon

Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer)
Creates a plain `Polygon` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polygon
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPolygon

Polygon createPolygon(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)
Creates a `Polygon` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polygon

### createPlainPolygon

Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)
Creates a plain `Polygon` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polygon
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPolygon

Polygon createPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy)
Creates a `Polygon` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polygon

### createPlainPolygon

Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy)
Creates a plain `Polygon` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polygon
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPolygon

Polygon createPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)
Creates a `Polygon` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polygon

### createPlainPolygon

Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)
Creates a plain `Polygon` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polygon
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPolyline

Polyline createPolyline(GraphicsAlgorithmContainer gaContainer)
Creates a `Polyline` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polyline

### createPlainPolyline

Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer)
Creates a plain `Polyline` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polyline
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPolyline

Polyline createPolyline(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)
Creates a `Polyline` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polyline

### createPlainPolyline

Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer, Collection<Point> points)
Creates a plain `Polyline` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polyline
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPolyline

Polyline createPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy)
Creates a `Polyline` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polyline

### createPlainPolyline

Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy)
Creates a plain polyline graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polyline
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createPolyline

Polyline createPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)
Creates a `Polyline` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polyline

### createPlainPolyline

Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)
Creates a plain `Polyline` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polyline
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createRectangle

Rectangle createRectangle(GraphicsAlgorithmContainer gaContainer)
Creates a `Rectangle` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new rectangle

### createPlainRectangle

Rectangle createPlainRectangle(GraphicsAlgorithmContainer gaContainer)
Creates a plain `Rectangle` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new rectangle
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createRoundedRectangle

RoundedRectangle createRoundedRectangle(GraphicsAlgorithmContainer gaContainer, int cornerWidth, int cornerHeight)
Creates a `RoundedRectangle` graphics algorithm with the given corner dimensions.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
cornerHeight: cornerHeight
cornerWidth: cornerWidth

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `cornerWidth` - the corner width
  `cornerHeight` - the corner height
Returns:
  the new rounded rectangle

### createPlainRoundedRectangle

RoundedRectangle createPlainRoundedRectangle(GraphicsAlgorithmContainer gaContainer, int cornerWidth, int cornerHeight)
Creates a plain `RoundedRectangle` graphics algorithm with the given corner dimensions. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `cornerWidth` - the corner width
  `cornerHeight` - the corner height
Returns:
  the new rounded rectangle
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createShiftedColor

Color createShiftedColor(Color color, int shift, Diagram diagram)
Shifts the `Color` darker or lighter.

Parameters:
  `color` - the color to be changed
  `shift` - negative shifts means darken the color
  `diagram` - the diagram
Returns:
  a new color datatype with the shiftet values

### createShiftedColor

IColorConstant createShiftedColor(IColorConstant colorConstant, int shift)
Shifts the `Color` constant darker or lighter.

Parameters:
  `colorConstant` - the color constant to be changed
  `shift` - negative shifts means darken the color
Returns:
  the color constant with the shifted values

### createStyle

Style createStyle(StyleContainer styleContainer, String id)
Creates a `Style` with the given id. The style is aggregated under the given container style.

The following values are set by default:

lineStyle: SOLID
id: id
horizontalAlignment: ALIGNMENT_CENTER
verticalAlignment: ALIGNMENT_CENTERinvalid input: '<'brinvalid input: '<'

Parameters:
  `styleContainer` - container style
  `id` - style id
Returns:
  the newly created style

### createPlainStyle

Style createPlainStyle(StyleContainer styleContainer, String id)
Creates a `Style` with the given id. The style is aggregated under the given container style. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Parameters:
  `styleContainer` - container style
  `id` - style id
Returns:
  the newly created style
Since:
  0.9
See Also:
  - `Style`
  - `createStyle(StyleContainer, String)`

### createTextStyleRegion

TextStyleRegion createTextStyleRegion(AbstractText abstractText)
Creates a `TextStyleRegion`. The style is aggregated under the given abstract text.

Parameters:
  `abstractText` - container text
Returns:
  the newly created text style region
Since:
  0.10
See Also:
  - `TextStyleRegion`
  - `createTextStyleRegion(AbstractText, int, int)`

### createTextStyleRegion

TextStyleRegion createTextStyleRegion(AbstractText abstractText, int start, int end)
Creates a `TextStyleRegion` with the given bounds. The style is aggregated under the given abstract text.

Parameters:
  `abstractText` - container text
  `start` - region start
  `end` - retion end
Returns:
  the newly created text style region
Since:
  0.10
See Also:
  - `TextStyleRegion`

### createTextStyle

TextStyle createTextStyle(TextStyleRegion region)
Creates a `TextStyle`. The style is aggregated under the given text style region.

Parameters:
  `region` - container region
Returns:
  the newly created text style
Since:
  0.10
See Also:
  - `TextStyle`
  - `createTextStyle(TextStyleRegion, boolean, boolean, UnderlineStyle)`

### createTextStyle

TextStyle createTextStyle(TextStyleRegion region, boolean underline, boolean strikeout, UnderlineStyle underlineStyle)
Creates a `TextStyle` with the given values. The style is aggregated under the given text style region.

Parameters:
  `region` - container region
  `underline` - the is underlined
  `strikeout` - the is stroke out
  `underlineStyle` - the underline style
Returns:
  the newly created text style
Since:
  0.10
See Also:
  - `TextStyle`
  - `createStyle(StyleContainer, String)`